TAAS - Feature #396

Service Period Report Details
10/17/2024 07:56 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 10/17/2024
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Service Period Report Details

Description

History

#1 - 10/17/2024 07:56 PM - Junaid M

GUI Same as DSR Details.

Consider same as in Service Period Report Summary

#2 - 10/25/2024 09:36 AM - Sreeranjini T

- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 10/25/2024 09:37 AM - Sreeranjini T

- Status changed from Open to New

- % Done changed from 10 to 0

#4 - 10/30/2024 12:59 PM - Sreeranjini T

- Status changed from New to Particialy Coding Done

- % Done changed from 0 to 40

#5 - 11/05/2024 09:40 AM - Sreeranjini T

- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#6 - 11/29/2024 12:44 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#7 - 11/29/2024 12:44 PM - Arathy PS
- Tested By set to Arathy PS

#8 - 11/29/2024 06:26 PM - Theja Ponon
- File clipboard-202411291812-qdxlv.png added
- File clipboard-202411291819-ygv56.png added

#9 - 11/29/2024 06:27 PM - Theja Ponon

ISSUE FOUND

1.FIXED - Wrong data in the service start date and end date columns in the grid.
2. Document not loading when clicking on the document no:

3. FIXED - Hotel vouchers are not loading when clicking on the voucher no:
4. FIXED - Not showing Fare of cancelled ticket/vouchers.

5. FIXED - Syntax error while selecting doc date, issue/cancel date.
6.FIXED - ticket/vouchers from stock are load in other issue by redirection
7.FIXED - document date is generating for a cancelled voucher

8.FIXED - if the detailed page redirected from summary then new search after reset will not generate any result(ONLY PRESS NEW AND SEARCH
WILL GENERATE RESULT)

9.fixed - if one ticket is refunded two entries of the ticket generate (SAME ISSUE IN SERVICE PERIOD REPORT SUMMARY ALSO)

Imported from Goa...

rp’ Travvise Service Period Report Details
= 1 SAQDT: Air Ticket Service | 30/11/2024 30/11/2024 29/11/2024 RE/003 TKT02 29/11/2024 CT03: Bertin asdsf

2 SAD01x: Air Ticket Service | 30/11/2024 30/11/2024 20/11/2024 RE/003 TKT02 20/11/2024 CT03: Bertin asdsf

11.FIXED - an alert box is showing when clicking the ticket number

NEW CHANGES

1.FIXED - In service label create a title for package service.

#10 - 12/05/2024 09:36 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 12/13/2024 10:54 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)ON REDIRECTING FROM SUMMARY PAGE NOT SHOWING DATA INCASE CHANGE THE SEARCH INPUT DATA AFTER RESET
2)DATE FILTERING IS NOT CORRECT IN CASE OF DOCUMENT DATE AND ISSUE/CANCEL DATE
3)Search will generate result only when to to date is next date of actual date

#12 - 12/14/2024 10:09 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 12/14/2024 10:09 AM - Sreeranjini T
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#14 - 12/17/2024 10:38 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 12/30/2024 11:20 AM - Theja Ponon
- File clipboard-202412301103-rmq0f.png added
- File clipboard-202412301104-hybxa.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED
#16 - 12/31/2024 03:58 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 03/05/2025 12:15 PM - Arathy PS
- File clipboard-202503051215-0lgzo.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. When a sale with AR sharing is done the shared document's party name and doc no: is wrong.
Service Period Report Details

Branch™

Customer* Currency | Base1(QAR) v Exclude
¥v¥

All | Ticket Hotel Visa Transfer Package Other

T a B B o

#  service Service Star... | Service End ... Doc Date Document No | Ticket/Vouc... | Issue Date Party staff Pax Sector/Details Fare Tax ~ Commission  Supplie
1 SADOT: Air Ticket Service | 07/03/2025 11/03/2025 05/01/2025 INV/007 1600 05/01/2025 CUSO01: ARHAAN ABD adhy ASD//ABA 1923.08 000 000 (
2 SADOT: Air Ticket Service  07/03/2025 11/03/2025 05/01/2025 INV/007 1600 05/01/2025 CUSDOT: ARHAAN ABD: adhy ASD/fABA 307692 000 000 (

#18 - 03/11/2025 06:54 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
